#
# Table structure for table 'static_dc_type'
#
CREATE TABLE static_dc_type (
  uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
  pid int(11) unsigned DEFAULT '0' NOT NULL,
  tstamp int(11) unsigned DEFAULT '0' NOT NULL,
  title tinytext NOT NULL,
  description text NOT NULL,
  tmpl_a_subpart_marker tinytext NOT NULL,
  active int(11) DEFAULT '0' NOT NULL,
  tmpl_a_description text NOT NULL,
  tmpl_a_content text NOT NULL,
  tmpl_a_TSconfig text NOT NULL,
  tmpl_b_subpart_marker tinytext NOT NULL,
  tmpl_b_description text NOT NULL,
  tmpl_b_content text NOT NULL,
  tmpl_b_TSconfig text NOT NULL,
  tmpl_c_subpart_marker tinytext NOT NULL,
  tmpl_c_description text NOT NULL,
  tmpl_c_content text NOT NULL,
  tmpl_c_TSconfig text NOT NULL,
  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'sys_dc'
#
CREATE TABLE sys_dc (
  uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
  pid int(11) unsigned DEFAULT '0' NOT NULL,
  deleted tinyint(3) unsigned DEFAULT '0' NOT NULL,
  tstamp int(11) unsigned DEFAULT '0' NOT NULL,
  crdate int(11) unsigned DEFAULT '0' NOT NULL,
  cruser int(11) unsigned DEFAULT '0' NOT NULL,
  sorting int(11) DEFAULT '0' NOT NULL,
  title tinytext NOT NULL,
  description text NOT NULL,
  component_type int(11) DEFAULT '0' NOT NULL,
  tmpl_a_content text NOT NULL,
  hidden tinyint(4) DEFAULT '0' NOT NULL,
  tmpl_b_content text NOT NULL,
  tmpl_c_content text NOT NULL,
  PRIMARY KEY (uid),
  KEY parent (pid)
);

#
# Table structure for table 'sys_dc_type'
#
CREATE TABLE sys_dc_type (
  uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
  pid int(11) unsigned DEFAULT '0' NOT NULL,
  tstamp int(11) unsigned DEFAULT '0' NOT NULL,
  title tinytext NOT NULL,
  description text NOT NULL,
  tmpl_a_subpart_marker tinytext NOT NULL,
  active int(11) DEFAULT '0' NOT NULL,
  tmpl_a_description text NOT NULL,
  tmpl_a_content text NOT NULL,
  tmpl_a_TSconfig text NOT NULL,
  tmpl_b_subpart_marker tinytext NOT NULL,
  tmpl_b_description text NOT NULL,
  tmpl_b_content text NOT NULL,
  tmpl_b_TSconfig text NOT NULL,
  tmpl_c_subpart_marker tinytext NOT NULL,
  tmpl_c_description text NOT NULL,
  tmpl_c_content text NOT NULL,
  tmpl_c_TSconfig text NOT NULL,
  PRIMARY KEY (uid),
  KEY parent (pid)
);


