<?php
	$typo3_help_url= "http://www.typo3.com/man_uk/";
	$charSet = "gb2312";

	$mainLang = Array (
		// ClickMenus
		"cm" => Array (
			"view" => "Show",
			"edit" => "Edit",
			"new" => "New",
			"copy" => "Copy",
			"cut" => "Cut",
			"pasteinto" => "Paste into",
			"pasteafter" => "Paste after",
			"select" => "Select",
			"deselect" => "Deselect",
			"selectto" => "Select to",
			"deselectto" => "Deselect to",
			"delete" => "Delete",
			"hide" => "Hide",
			"unhide" => "Unhide",
			"upload" => "Upload Files",
			"rename" => "Rename",
			"open" => "Open",
			"save" => "Save",
			"unzip" => "Unzip",
			"info" => "Info",
			"createnew" => "Create new"
		),
		"tabs" => Array (
			"normal" => "Normal"
		),
		// defines buttons. They are made with both a normal and rollover state
		"buttons" => Array (
			"clipboard" => "Clipboard",
			"logout" => "Logout",
			"clear" => "Clear"
		),
	// Image Labels
	// This is image alt-texts in typo
	// prepended with "l" only!!
		"labels" => Array (
		// Tabs
			"webtabs" => "Page Tree #",
			"filetabs" => "Directory Tree #",
		// Buttons
			"logout" => "Always remember to log out instead of closing the window!",
			"selectmode" => "Select items with a single click",
			"thumbmode" => "Show Thumbnails",
			"thumbmode_clip" => "Show Thumbnails on ClipBoard",
			"copymode" => "Copy items instead of moving them",
			"refresh" => "Reload the tree from server",
			"clearClip" => "Clear selected elements on clipboard",
		// ClipBoard
			"clipNormal" => "Standard Clipboard",
			"clipNormal2" => "Normal",
			"clipNoEl" => "No elements",
			"filelist" => "Current file listing",
			"dblist" => "Current database listing",
			"clip" => "The clipboard holds your selected items",
			"cliptabs" => "Clipboard #",
			"removeItem" => "Remove item",
			"inverseSelection" => "Inverse selection",
			"selectAll" => "Select all",
			"selectNone" => "Select none",
		// Document-tab
			"selected" => "Selected",
			"items" => "Items",
			"prevDoc" => "Previous document",
			"nextDoc" => "Next document",
			"click_menu" => "Click for menu",
			"show_options" => "Show general options",
			"remove_selected" => "Remove selected items",
			"import_clip" => "Transfer items from Clipboard",
			"move_to_top" => "Move selected item upwards",
			"upload_files" => "Upload files to clipboard",
			"browse_file" => "Browse for files",
			"browse_db" => "Browse for records",
			"minimize" => "Minimize",
			"maximize" => "Maximize",
			"close" => "Close",
			"selectToClip" => "Select item to clipboard",
			"viewItem" => "View item",
			"new" => "NEW",
			"upload" => "Upload file",
			"generalOptions" => "General options:",
			"allTables" => "[All tables]",
			"moreOptions" => "More options...",
			"noMatchingValue" => "CURRENT VALUE IS NOT AVAILABLE (%s)",
			"editItem" => "Edit item"
		),
	// This is messages and comfirmations.
	// %s will be substituted by some variable from the context when shown. 
		"mess" => Array (
			"onChangeAlert" => 'This change will affect which fields are available in the form.\nWould you like to save now in order to refresh the display?',
			"recIsChanged" => 'This record was changed.\nDo you still want to close it?',
			"docIsChanged" => 'The document "%s" was changed.\nDo you still want to close it?',
			"unzip" => 'Are you sure you want to unzip the archive "%s"?',
			"delete" => 'Are you sure you want to delete "%s"?',
			"deleteClip" => 'Are you sure you want to delete ALL selected elements (%s) on the clipboard?',
			"permChanges" => 'There has been made some changes to your permissions.\nYou should close and reopen Typo3 again in order for the interface to reflect these changes!',
			"gettingTree" => 'Fetching the tree from server<BR>Please wait...',
			"move_into" => 'Move "%s" into "%s"?',
			"move_after" => 'Move "%s" to after "%s"?',
			"copy_into" => 'Copy "%s" into "%s"?',
			"copy_after" => 'Copy "%s" to after "%s"?',
			"copycb_into" => 'Copy all elements (%s) from the clipboard into "%s"?',
			"copycb_after" => 'Copy all elements (%s) from the clipboard to the position after "%s"?',
			"movecb_into" => 'Move all elements (%s) from the clipboard into "%s"?',
			"movecb_after" => 'Move all elements (%s) from the clipboard to the position after "%s"?',
			"refresh_login" => 'Your login has probably expired. \nDo you want to refresh it now?',
			"miss_field" => 'The following fields are not correctly filled:\n',
			"miss_field_in_doc" => 'The document "%s" contains fields that are not correctly filled:%s\n\nNothing is saved!',
			"noSelItemForEdit" => 'Please select one or more items in the list before you can edit.',
//			"closeTypo" => 'Do you really want to leave Typo3?'
		),
	// Roll menus
		"rm" => Array (
			"menu" => "[menu]",
			"saveDoc" => "Save document",
			"saveDocShow" => "Save document and view page",
			"saveAllDocs" => "Save all documents",
			"saveCloseDoc" => "Save and close document",
			"saveCloseAllDocs" => "Save and close all documents",
			"saveNewDoc" => "Save document and create a new one",
			"closeDoc" => "Close document",
			"closeAllDocs" => "Close all documents",
			"viewDoc" => "View document",
			"clearCache_clearCache" => "Clear cache",
			"clearCache_thisPage" => "This page",
			"clearCache_pages" => "Clear Page Cache",
			"clearCache_all" => "Clear All Cache",
			"edit" => "Edit",
			"delete" => "Delete",
			"upload" =>  "Upload files"
		),
	// Error-messages
		"err" => Array (
			"1" => "You must save the record to view the page!",
			"2" => "This record has been removed from the memory. Reload the list.",
			"3" => "%s items(s) at least must be in the the group!",
			"4" => "Do not add more than %s item(s)",
			"5" => "The content of the clipboard cannot be inserted. It must be records from the database!",
			"6" => "The content of the clipboard cannot be inserted. It must be files or folders!",
			"7" => "The system is busy - Please wait. If the system do not become available within a short while you may have to restart Typo",
			"8" => "You cannot save a new record that is attached to another new record!"
		)
	);

	

	// This array contains labels used for direct output in PHP-code. 
	$php3Lang = Array (
		"labels" => Array(		// general
			"openInNewWindow" => "Open in new window",
			"goBack" => "Go back",
			"makeShortcut" => "Create a shortcut to this page?",
			"lockedRecord" => "The user '%s' began to edit this record %s ago.",
			"lockedRecord_content" => "The user '%s' began to edit content on this page %s ago.",
			"showRecords" => "Show records",
			"path" => "Path",
			"upOneLevel" => "Up one level",
			"enterSearchString" => "Search String:",
			"enterSearchLevels" => "This page|1 level down|2 levels down|3 levels down|4 levels down",
			"noEditPermission" => "Sorry, you didn't have proper permissions to perform this change.",
			"fieldsMissing" => "There are fields in the form which are not yet correctly filled in.\nThe fields are marked with a yellow exclamation mark.",
			"fieldsChanged" => "There are unsaved changes in the form!\nDo you want to continue WITHOUT saving?",
			"showPalettes" => "Show secondary options (palettes)",
			"showDescriptions" => "Show field descriptions",
			"disableRTE" => "Disable Rich Text Editor (RTE)",
			"_CONTROL_" => "Control",
			"_PATH_" => "Path",
			"setFields" => "Set fields",
			"search" => "Search",
			"author" => "Author:",
			"note" => "Note:",
			"category" => "Category:",
			"reload" => "Reload",
			"csv" => "Download CSV file",
			"clear_cache" => "Clear cache for this page",
			"no_title" => "No title",
			"cancel" => "Cancel",
			"hidden" => "Hidden",
			"starttime" => "Start",
			"endtime" => "End",
			"minutesHoursDaysYears" => " min| hrs| days| yrs",
			"menu" => "Menu:",
			"showPage" => "View webpage",
			"showList" => "Show record list",
			"days" => "days",
			"depth_0" => "This page",
			"depth_1" => "1 level",
			"depth_2" => "2 levels",
			"depth_3" => "3 levels",
		),
		"show_item.php" => Array(
			"viewItem" => "View Item",
			"file" => "File",
			"dimensions" => "Dimensions",
			"filesize" => "Size",
			"ftp_area" => "FTP AREA"
		),
		"db_new.php" => Array(
			"pagetitle" => "New record",
			"after" => "after",
			"inside" => "inside"
		),
		"file_upload.php" => Array(
			"pagetitle" => "Upload files",
			"submit" => "Upload files",
			"files" => "files"
		),
		"file_rename.php" => Array(
			"pagetitle" => "Rename",
			"submit" => "Rename"
		),
		"file_edit.php" => Array(
			"pagetitle" => "Edit",
			"submit" => "Save",
			"saveAndClose" => "Save and Close",
			"coundNot" => "This filetype cannot be edited.<BR>The file must have an extension like:<BR><BR> <b>%s</b>"
		),
		"file_newfolder.php" => Array(
			"pagetitle" => "New folder",
			"submit" => "Create folders",
			"folders" => "folders",
			"newfile_submit" => "Create file",
			"newfile" => "Create new textfile"
		),
		"file_clipupload.php" => Array(
			"warning_head" => "Upload path error",
			"warning" => 'No upload-folder is found. You should create a TEMP-folder ("_temp_") in the root of one of your mounts first!'
		),
		"mess" => Array(
			"redraw" => "Redrawing the page will discard the current data. Do you want to continue?",
			"start_typo3" => 'Would you like to start the Typo3 standard interface right away? \n(It takes a minute or two)',
			"close_login" => "You probably don't need this screen anymore, so unless you haven't started Typo3 already, you can close this window."
		)
	);

	
?>