<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 1999-2003 Kasper Skrhj (kasper@typo3.com)
*  All rights reserved
*
*  This script is part of the Typo3 project. The Typo3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*  A copy is found in the textfile GPL.txt and important notices to the license 
*  from the author is found in LICENSE.txt distributed with these scripts.
*
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * @author	Kasper Skrhj <kasper@typo3.com>
 */

require_once(PATH_t3lib."class.t3lib_extobjbase.php");

class tx_funcwizards_webfunc extends t3lib_extobjbase {
	var $localLangFile = "locallang.php";
	var $function_key = "wiz";

	function init(&$pObj,$conf)	{
			// OK, handles ordinary init. This includes setting up the menu array with ->modMenu
		parent::init($pObj,$conf);

			// Making sure that any further external classes are added to the include_once array. Notice that inclusion happens twice in the main script because of this!!!
		$this->handleExternalFunctionValue();
	}
	function modMenu()	{
		global $LANG;
		
		$modMenuAdd = array(
			$this->function_key => array()
		);

		$modMenuAdd[$this->function_key] = $this->pObj->mergeExternalItems($this->pObj->MCONF["name"],$this->function_key,$modMenuAdd[$this->function_key]);
		$modMenuAdd[$this->function_key] = t3lib_BEfunc::unsetMenuItems($this->pObj->modTSconfig["properties"],$modMenuAdd[$this->function_key],"menu.".$this->function_key);

		return $modMenuAdd;
	}
	function main()	{
		global $SOBE,$LANG;
		
		$menu= $LANG->getLL("wiz_lWizards").": ".t3lib_BEfunc::getFuncMenu($this->pObj->id,"SET[wiz]",$this->pObj->MOD_SETTINGS["wiz"],$this->pObj->MOD_MENU["wiz"]);
		$theOutput.=$this->pObj->doc->section("",'<NOBR>'.$menu.'</NOBR>');
		
		$content = "";
		$content.=$theOutput;	
		$content.=$this->pObj->doc->spacer(5);
		$content.=$this->extObjContent();
		
		return $content;
	}
}

if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/func_wizards/class.tx_funcwizards_webfunc.php"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/func_wizards/class.tx_funcwizards_webfunc.php"]);
}

?>